/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.SeguroTarifa;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderSeguroTarifa  implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        SeguroTarifa taxaTarifa = (SeguroTarifa) o;

        Listcell lc = new Listcell(taxaTarifa.getSegurotarifaId()==null?"-":taxaTarifa.getSegurotarifaId().toString());
        lc.setParent(lstm);

        lc = new Listcell(taxaTarifa.getOrgaoconcedente().getDescOrgao());
        lc.setParent(lstm);

        lc = new Listcell(taxaTarifa.getValortarifaate().toString());
        lc.setParent(lstm);

        lc = new Listcell(taxaTarifa.getValortarifa().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", taxaTarifa);
    }

}
